# WOK
TKWOK
WOKBuilder

# WOKBuilder_ToolInShellIterator Class Reference

`#include <WOKBuilder_ToolInShellIterator.hxx>`

Inheritance diagram for WOKBuilder_ToolInShellIterator:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKBuilder_ToolInShellIterator (const Handle(TCollection_HAsciiString)&toolgroup, const WOKUtils_Param &Param)
Standard_EXPORT | WOKBuilder_ToolInShellIterator (const Handle(WOKBuilder_HSequenceOfToolInShell)&tools)
Standard_EXPORT | WOKBuilder_ToolInShellIterator (const Handle(TCollection_HAsciiString)&toolgroup, const Handle(WOKUtils_Shell)&ashell, const Handle(WOKUtils_Path)&adir, const WOKUtils_Param &Param)
Standard_EXPORT void | Destroy ()
virtual Standard_EXPORT | ~WOKBuilder_ToolInShellIterator ()
virtual Standard_EXPORT void | Init (const Handle(WOKUtils_Shell)&ashell, const Handle(WOKUtils_Path)&adir)
Standard_EXPORT void | SetShell (const Handle(WOKUtils_Shell)&ashell)
Standard_EXPORT Handle_WOKUtils_Shell | Shell () const
Standard_EXPORT void | SetParam (const WOKUtils_Param &Param)
Standard_EXPORT WOKUtils_Param | Param () const
Standard_EXPORT void | SetOutputDir (const Handle(WOKUtils_Path)&apath)
Standard_EXPORT Handle_WOKUtils_Path | OutputDir () const
virtual Standard_EXPORT Handle_WOKBuilder_ToolInShell | GetTool (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params) const
virtual Standard_EXPORT Standard_Integer | LoadGroup ()
Standard_EXPORT Handle_WOKBuilder_HSequenceOfToolInShell | Tools () const
Standard_EXPORT Standard_Boolean | IsTreatedExtension (const Handle(TCollection_HAsciiString)&anext) const
Standard_EXPORT Handle_WOKBuilder_ToolInShell | AppropriateTool (const Handle(WOKBuilder_Entity)&anent) const
Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity | Produces () const

## Protected Attributes

Handle_WOKBuilder_HSequenceOfEntity | myproduction

## Private Attributes

Handle_TCollection_HAsciiString | mygroup
WOKBuilder_DataMapOfHAsciiStringOfToolInShell | myexts
WOKUtils_Param | myparams
Handle_WOKUtils_Shell | myshell
Handle_WOKUtils_Path | myoutdir
Handle_WOKBuilder_HSequenceOfToolInShell | mytools

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_ToolInShellIterator::WOKBuilder_ToolInShellIterator | ( | const Handle(TCollection_HAsciiString)& | toolgroup,
|  | const WOKUtils_Param & | Param
| ) |

Standard_EXPORT WOKBuilder_ToolInShellIterator::WOKBuilder_ToolInShellIterator | ( | const Handle(WOKBuilder_HSequenceOfToolInShell)& | tools | ) |

Standard_EXPORT WOKBuilder_ToolInShellIterator::WOKBuilder_ToolInShellIterator | ( | const Handle(TCollection_HAsciiString)& | toolgroup,
|  | const Handle(WOKUtils_Shell)& | ashell,
|  | const Handle(WOKUtils_Path)& | adir,
|  | const WOKUtils_Param & | Param
| ) |

virtual Standard_EXPORT WOKBuilder_ToolInShellIterator::~WOKBuilder_ToolInShellIterator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

Standard_EXPORT Handle_WOKBuilder_ToolInShell WOKBuilder_ToolInShellIterator::AppropriateTool | ( | const Handle(WOKBuilder_Entity)& | anent | ) | const

Standard_EXPORT void WOKBuilder_ToolInShellIterator::Destroy | ( |  | ) |

virtual Standard_EXPORT Handle_WOKBuilder_ToolInShell WOKBuilder_ToolInShellIterator::GetTool | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) | const`[virtual]`

| Reimplemented in WOKBuilder_CodeGeneratorIterator, WOKBuilder_CompilerIterator, and WOKOrbix_IDLCompilerIterator.

virtual Standard_EXPORT void WOKBuilder_ToolInShellIterator::Init | ( | const Handle(WOKUtils_Shell)& | ashell,
|  | const Handle(WOKUtils_Path)& | adir
| ) | `[virtual]`

| Reimplemented in WOKBuilder_CodeGeneratorIterator, and WOKBuilder_CompilerIterator.

Standard_EXPORT Standard_Boolean WOKBuilder_ToolInShellIterator::IsTreatedExtension | ( | const Handle(TCollection_HAsciiString)& | anext | ) | const

virtual Standard_EXPORT Standard_Integer WOKBuilder_ToolInShellIterator::LoadGroup | ( |  | ) | `[virtual]`

void WOKBuilder_ToolInShellIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in WOKBuilder_CodeGeneratorIterator, WOKBuilder_CompilerIterator, and WOKOrbix_IDLCompilerIterator.

void* WOKBuilder_ToolInShellIterator::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in WOKBuilder_CodeGeneratorIterator, WOKBuilder_CompilerIterator, and WOKOrbix_IDLCompilerIterator.

void* WOKBuilder_ToolInShellIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in WOKBuilder_CodeGeneratorIterator, WOKBuilder_CompilerIterator, and WOKOrbix_IDLCompilerIterator.

Standard_EXPORT Handle_WOKUtils_Path WOKBuilder_ToolInShellIterator::OutputDir | ( |  | ) | const

Standard_EXPORT WOKUtils_Param WOKBuilder_ToolInShellIterator::Param | ( |  | ) | const

Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_ToolInShellIterator::Produces | ( |  | ) | const

Standard_EXPORT void WOKBuilder_ToolInShellIterator::SetOutputDir | ( | const Handle(WOKUtils_Path)& | apath | ) |

Standard_EXPORT void WOKBuilder_ToolInShellIterator::SetParam | ( | const WOKUtils_Param & | Param | ) |

Standard_EXPORT void WOKBuilder_ToolInShellIterator::SetShell | ( | const Handle(WOKUtils_Shell)& | ashell | ) |

Standard_EXPORT Handle_WOKUtils_Shell WOKBuilder_ToolInShellIterator::Shell | ( |  | ) | const

Standard_EXPORT Handle_WOKBuilder_HSequenceOfToolInShell WOKBuilder_ToolInShellIterator::Tools | ( |  | ) | const

## Field Documentation

WOKBuilder_DataMapOfHAsciiStringOfToolInShell WOKBuilder_ToolInShellIterator::myexts `[private]`

Handle_TCollection_HAsciiString WOKBuilder_ToolInShellIterator::mygroup `[private]`

Handle_WOKUtils_Path WOKBuilder_ToolInShellIterator::myoutdir `[private]`

WOKUtils_Param WOKBuilder_ToolInShellIterator::myparams `[private]`

Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_ToolInShellIterator::myproduction `[protected]`

Handle_WOKUtils_Shell WOKBuilder_ToolInShellIterator::myshell `[private]`

Handle_WOKBuilder_HSequenceOfToolInShell WOKBuilder_ToolInShellIterator::mytools `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_ToolInShellIterator.hxx